Package org.apache.sling.feature.maven.mojos.apis

# Class ClassFileProcessor

java.lang.Object
org.apache.sling.feature.maven.mojos.apis.ClassFileProcessor

All Implemented Interfaces:
  `Processor`

public class ClassFileProcessor extends Object implements Processor

## Constructor Summary

Constructors
Constructor
Description
`ClassFileProcessor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`processBinaries(ProcessorContext ctx, List<Source> sources)`
Process the binaries
`void`
`processSources(ProcessorContext ctx, List<Source> sources)`
Process the sources

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.sling.feature.maven.mojos.apis.spi.Processor

`getName`

## Constructor Details

### ClassFileProcessor

public ClassFileProcessor()

## Method Details

### processBinaries

public void processBinaries(ProcessorContext ctx, List<Source> sources)
Description copied from interface: `Processor`
Process the binaries

Specified by:
  `processBinaries` in interface `Processor`
Parameters:
  `ctx` - The context
  `sources` - The list of sources

### processSources

public void processSources(ProcessorContext ctx, List<Source> sources)
Description copied from interface: `Processor`
Process the sources

Specified by:
  `processSources` in interface `Processor`
Parameters:
  `ctx` - The context
  `sources` - The list of sources